Subject: [Iotops] draft-carpenter-6man-rfc6874bis-03 and IoT devices in the home

From: Michael Richardson <[email-masked]>
Date: Fri, 18 Feb 2022 17:13:57 -0500

This document tries to make it possible to write: http{,s}://[fe80::1234%eth0]/
in order to talk to IoT devices that are directly connected.

(Yes, the https part is very difficult, and this document does not deal with
it at all, but at present, we can't even do the http version)

Subject: Requesting WG adoption of draft-carpenter-6man-rfc6874bis-03
From: Brian E Carpenter <[email-masked]>
To: Ole Trøan <[email-masked]>
Cc: 6man <[email-masked]>
Date: Sat, 19 Feb 2022 08:40:08 +1300
List-Id: "IPv6 Maintenance Working Group \(6man\)" <ipv6.ietf.org>

Hi Ole,

We'd like to request WG adoption of this draft, since there have been
no adverse reactions to the latest version.

We don't feel it needs a discussion slot at the upcoming meeting, since
it's been discussed before. But of course we'd welcome discussion here
on the list.

Regards
    Brian Carpenter
On 09-Feb-22 09:28, Brian E Carpenter wrote:
> Hi,
> 
> The authors of this draft did, as previously mentioned, open discussion
> with various people in the browser community, but we did not find much
> enthusiasm for implementation. Until there is a great increase in demand
> for link-locals to be supported by browsers, the necessary work seems
> unlikely to be done.
> 
> However, we believe that this demand will eventually arise and therefore
> it's important that the relevant URI syntax is well-defined. Therefore,
> we've updated the draft. Apart from editorial improvements, there is a
> significant change in this version. Following the discussions a few months
> ago, and after I spent some time looking into the URI parsers in wget and
> Firefox (and a brief look at curl), we propose to drop the "%25" encoding
> of "%". The ABNF in this version, originally suggested by Andrew Cady,
> reflects that proposal. There is extra explanation in the text.
> 
> The other signficant change is that, as Martin Dürst pointed out, we
> also
> need to formally update the IRI syntax. That was an omission in RFC6874.
> 
> It may be time to consider WG adoption of this draft.
> 
> Regards
>       Brian & co-authors
> 
> 
> -------- Forwarded Message --------
> Subject: I-D Action: draft-carpenter-6man-rfc6874bis-03.txt
> Date: Tue, 08 Feb 2022 12:06:42 -0800
> From: [email-masked]
> Reply-To: [email-masked]
> To: [email-masked]
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 
>           Title           : Representing IPv6 Zone Identifiers in Address Literals and Uniform Resource Identifiers
>           Authors         : Brian Carpenter
>                             Stuart Cheshire
>                             Robert M. Hinden
> 	Filename        : draft-carpenter-6man-rfc6874bis-03.txt
> 	Pages           : 11
> 	Date            : 2022-02-08
> 
> Abstract:
>      This document describes how the zone identifier of an IPv6 scoped
>      address, defined as <zone_id> in the IPv6 Scoped Address Architecture
>      (RFC 4007), can be represented in a literal IPv6 address and in a
>      Uniform Resource Identifier that includes such a literal address.  
It
>      updates the URI Generic Syntax and Internationalized Resource
>      Identifier specifications (RFC 3986, RFC 3987) accordingly, and
>      obsoletes RFC 6874.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-carpenter-6man-rfc6874bis/
> 
> There is also an HTML version available at:
> https://www.ietf.org/archive/id/draft-carpenter-6man-rfc6874bis-03.html
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-carpenter-6man-rfc6874bis-03
> 
> 
> Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts
> 
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide